@import "@/styles/variables";

.checkbox-wrapper {
    @include paragraph-p2;

    line-height: 22px;
    display: flex;
    align-items: first baseline;
    gap: 0.75rem;
    color: $gray-900;
    cursor: pointer;

    &:hover {
        color: $gray-900;
    }

    .label-content {
        &::first-letter {
            text-transform: uppercase;
        }
    }

    .error {
        color: $color-error;
    }

    .check-box {
        appearance: none;
        margin: 0;
        width: 1rem;
        min-width: 1rem;
        height: 1rem;
        border: 1px solid $gray-500;
        border-radius: 4px;
        cursor: pointer;
        position: relative;
        top: 3px;

        &:hover {
            border: 1px solid $gray-700;
        }

        &:checked {
            background: $gray-800;
            border: 1px solid transparent;
            position: relative;

            &::before {
                content: url("/assets/images/checked.svg");
                color: $white;
                position: absolute;
                left: 0.19rem;
                bottom: 0.07rem;
            }

            + .label-content {
                color: $gray-900;
            }
        }

        &__invalid {
            border: 1px solid $color-error;

            &:hover {
                border: 1px solid $color-error;
            }
        }
    }
}
